View Issue Details

IDProjectCategoryView StatusLast Update
0018380LazarusLCLpublic2014-01-03 11:58
ReporterDavid EmersonAssigned ToJuha Manninen 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version0.9.29 (SVN)Product Build 
Target Version1.2.0Fixed in Version 
Summary0018380: rightmost column separator difficult to grab
DescriptionGTK 2 grid

Within a grid window, (e.g. watch list, locals) the right side of the rightmost column is, by default, automatically lined up with the right side of the window.

The column separator is very difficult to grab (and resize) because its grab area is only 3 pixels wide. Other column separators are at least 6 pixels wide. (Measured with kruler and a bit of patience)

Combined with issue 18379 (mouse cursor does not change to indicate column is resizeable) it is very difficult to perform this operation, and many users may not realize it is possible.

ref: http://mantis.freepascal.org/view.php?id=18379
TagsNo tags attached.
Fixed in Revision
LazTarget1.2
WidgetsetGTK 2
Attached Files

Relationships

related to 0018379 resolvedZeljan Rikalo grabbing column separators - no mouse cursor change 
related to 0021354 resolvedZeljan Rikalo LCL-GTK2 TListView Report view style column size reduce not working well. 

Activities

Zeljan Rikalo

2012-01-07 11:48

developer   ~0055544

@David, can you retest with r34635 and give feedback ?

Zeljan Rikalo

2012-02-23 19:42

developer   ~0057042

@David ?

Juha Manninen

2014-01-03 11:58

developer   ~0072191

No feedback from reporter for 3 years -> resolving.

Issue History

Date Modified Username Field Change
2011-01-03 23:16 David Emerson New Issue
2011-01-03 23:16 David Emerson Widgetset => GTK 2
2011-01-04 09:48 Vincent Snijders Relationship added related to 0018379
2011-01-04 09:48 Vincent Snijders LazTarget => 1.2
2011-01-04 09:48 Vincent Snijders Status new => acknowledged
2011-01-04 09:48 Vincent Snijders Target Version => 1.2.0
2012-01-07 11:48 Zeljan Rikalo Note Added: 0055544
2012-01-07 11:48 Zeljan Rikalo Status acknowledged => feedback
2012-02-23 18:22 Zeljan Rikalo Relationship added related to 0021354
2012-02-23 19:42 Zeljan Rikalo Note Added: 0057042
2014-01-03 11:58 Juha Manninen Note Added: 0072191
2014-01-03 11:58 Juha Manninen Status feedback => resolved
2014-01-03 11:58 Juha Manninen Resolution open => fixed
2014-01-03 11:58 Juha Manninen Assigned To => Juha Manninen